<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-vcs-cvs.qdoc -->
  <title>Using CVS | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using CVS</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-vcs-clearcase.html" />
  <link rel="next" href="creator-vcs-git.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-vcs-clearcase.html">Using ClearCase</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-git.html">Using Git</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using CVS</h1>
<span class="subtitle"></span>
<!-- $$$creator-vcs-cvs.html-description -->
<div class="descr"> <a name="details"></a>
<p>CVS is an open source version control system.</p>
<p>In addition to the standard version control system functions described in <a href="creator-version-control.html#using-common-functions">Using Common Functions</a>, you can select <b>Tools</b> &gt; <b>CVS</b> &gt; <b>Edit</b> to set a file as writable, notify watchers that the file is being edited, and watch for actions performed on the file by other users.</p>
<p>To discard the changes that you made in a file, notify watchers that the file is no longer being edited, and set the file as read-only, select <b>Unedit</b>.</p>
<p>To unedit files in the local directory, as well as recursively in all subdirectories, select <b>Unedit Repository</b>.</p>
<p>To specify the CVS root directory, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>CVS</b>, and then specify the path to the directory in the <b>CVS root</b> field.</p>
<p>You can specify settings for viewing diff output in the <b>Diff options</b> field.</p>
<p>By default, you are prompted to confirm that you want to submit changes. To suppress the prompt, deselect the <b>Prompt on submit</b> check box.</p>
<p>By default, all files that belong to the commit are annotated. To disable this feature, deselect the <b>Describe all files matching commit id</b> check box.</p>
</div>
<!-- @@@creator-vcs-cvs.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-vcs-clearcase.html">Using ClearCase</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-git.html">Using Git</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
